Package com.ocient.jdbc.proto

## Class ClientWireProtocol.ClientConnection

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.ClientConnection
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.ClientConnectionOrBuilder

Protobuf type `xg.cmdcomp.ClientConnection`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ClientWireProtocol.ClientConnection.Builder` Protobuf type `xg.cmdcomp.ClientConnection`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CLIENTID_FIELD_NUMBER`
`static int` `DATABASE_FIELD_NUMBER`
`static int` `USERID_FIELD_NUMBER`
`static int` `VERSION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getClientid()` `string clientid = 3;`
`com.google.protobuf.ByteString` `getClientidBytes()` `string clientid = 3;`
`String` `getDatabase()` `string database = 2;`
`com.google.protobuf.ByteString` `getDatabaseBytes()` `string database = 2;`
`static ClientWireProtocol.ClientConnection` `getDefaultInstance()`
`ClientWireProtocol.ClientConnection` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<ClientWireProtocol.ClientConnection>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`String` `getUserid()` `string userid = 1;`
`com.google.protobuf.ByteString` `getUseridBytes()` `string userid = 1;`
`String` `getVersion()` `string version = 4;`
`com.google.protobuf.ByteString` `getVersionBytes()` `string version = 4;`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static ClientWireProtocol.ClientConnection.Builder` `newBuilder()`
`static ClientWireProtocol.ClientConnection.Builder` `newBuilder​(ClientWireProtocol.ClientConnection prototype)`
`ClientWireProtocol.ClientConnection.Builder` `newBuilderForType()`
`protected ClientWireProtocol.ClientConnection.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ClientWireProtocol.ClientConnection` `parseDelimitedFrom​(InputStream input)`
`static ClientWireProtocol.ClientConnection` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(byte[] data)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(com.google.protobuf.ByteString data)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(InputStream input)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(ByteBuffer data)`
`static ClientWireProtocol.ClientConnection` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ClientWireProtocol.ClientConnection>` `parser()`
`ClientWireProtocol.ClientConnection.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### USERID_FIELD_NUMBER

    public static final int USERID_FIELD_NUMBER

See Also:
  Constant Field Values

#### DATABASE_FIELD_NUMBER

    public static final int DATABASE_FIELD_NUMBER

See Also:
  Constant Field Values

#### CLIENTID_FIELD_NUMBER

    public static final int CLIENTID_FIELD_NUMBER

See Also:
  Constant Field Values

#### VERSION_FIELD_NUMBER

    public static final int VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getUserid

    public String getUserid()

`string userid = 1;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The userid.

#### getUseridBytes

    public com.google.protobuf.ByteString getUseridBytes()

`string userid = 1;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for userid.

#### getDatabase

    public String getDatabase()

`string database = 2;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The database.

#### getDatabaseBytes

    public com.google.protobuf.ByteString getDatabaseBytes()

`string database = 2;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for database.

#### getClientid

    public String getClientid()

`string clientid = 3;`

Specified by:
  `getClientid` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The clientid.

#### getClientidBytes

    public com.google.protobuf.ByteString getClientidBytes()

`string clientid = 3;`

Specified by:
  `getClientidBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for clientid.

#### getVersion

    public String getVersion()

`string version = 4;`

Specified by:
  `getVersion` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The version.

#### getVersionBytes

    public com.google.protobuf.ByteString getVersionBytes()

`string version = 4;`

Specified by:
  `getVersionBytes` in interface `ClientWireProtocol.ClientConnectionOrBuilder`
Returns:
  The bytes for version.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(ByteBuffer data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(ByteBuffer data,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(com.google.protobuf.ByteString data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(com.google.protobuf.ByteString data,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(byte[] data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(byte[] data,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(InputStream input)
                                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(InputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ClientWireProtocol.ClientConnection parseDelimitedFrom​(InputStream input)
                                                                  throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ClientWireProtocol.ClientConnection parseDelimitedFrom​(InputStream input,
                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                  throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(com.google.protobuf.CodedInputStream input)
                                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ClientWireProtocol.ClientConnection parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public ClientWireProtocol.ClientConnection.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static ClientWireProtocol.ClientConnection.Builder newBuilder()

#### newBuilder

    public static ClientWireProtocol.ClientConnection.Builder newBuilder​(ClientWireProtocol.ClientConnection prototype)

#### toBuilder

    public ClientWireProtocol.ClientConnection.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected ClientWireProtocol.ClientConnection.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static ClientWireProtocol.ClientConnection getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<ClientWireProtocol.ClientConnection> parser()

#### getParserForType

    public com.google.protobuf.Parser<ClientWireProtocol.ClientConnection> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public ClientWireProtocol.ClientConnection getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`